Bug 242456

Summary: sysutils/zrepl: Unbreak on aarch64
Product: Ports & Packages Reporter: Dmitri Goutnik <dmgk>
Component: Individual Port(s)Assignee: Ben Woods <woodsb02>
Status: Closed FIXED    
Severity: Affects Only Me CC: woodsb02
Priority: --- Keywords: buildisok
Version: LatestFlags: woodsb02: maintainer-feedback+
Hardware: arm64   
OS: Any   
Bug Depends on:    
Bug Blocks: 242312    
Attachments:
Description Flags
zrepl-0.1.1_2.patch woodsb02: maintainer-approval+

Description Dmitri Goutnik freebsd_committer 2019-12-05 16:52:44 UTC
Created attachment 209729 [details]
zrepl-0.1.1_2.patch

===>  Building zrepl from github.com/zrepl/zrepl
# github.com/zrepl/zrepl/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:50:24: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:55:27: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: undefined: CapRights
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body

http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/zrepl-0.1.1_1.log

Unbreak by updating golang.org/x/sys to 33540a1f6037 which adds support for freebsd/arm64.

Tested on 12.1-STABLE/arm64 and 12.1-RELEASE/amd64.
Comment 1 Automation User 2019-12-20 18:26:43 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/104494278
Comment 2 commit-hook freebsd_committer 2020-02-01 04:59:40 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Feb  1 04:58:39 UTC 2020
New revision: 524757
URL: https://svnweb.freebsd.org/changeset/ports/524757

Log:
  sysutils/zrepl: Update to 0.2.1

  - Update to 0.2.1 [1]
  - Unbreak build on aarch64, by updating to newer golang:sys [2]
  - Move sample file for syslog.d and newsyslog.conf.d to EXAMPLESDIR [3]
  - Migrate to USES=go:modules to simplify building go dependency list
  - Add new EXAMPLES option to allow installing these to be optional

  Changes this release:
    https://github.com/zrepl/zrepl/blob/v0.2.1/docs/changelog.rst

  PR:		243354 [1], 242456 [2], 229445 [3]
  Submitted by:	dmgk [2]
  Reported by:	asomers [1], yuri [3]

Changes:
  head/sysutils/zrepl/Makefile
  head/sysutils/zrepl/distinfo
  head/sysutils/zrepl/files/newsyslog-zrepl.conf
  head/sysutils/zrepl/files/newsyslog.conf
  head/sysutils/zrepl/files/pkg-message.in
  head/sysutils/zrepl/files/syslog-zrepl.conf.sample
  head/sysutils/zrepl/files/syslog.conf
  head/sysutils/zrepl/files/zrepl.yml
  head/sysutils/zrepl/files/zrepl.yml.sample
  head/sysutils/zrepl/pkg-plist
Comment 3 Ben Woods freebsd_committer 2020-02-01 05:03:01 UTC
Committed - thanks!